#ifndef INCLUDED_Bar
#define INCLUDED_Bar

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

#include <luxe/Sprite.h>
HX_DECLARE_CLASS0(Bar)
HX_DECLARE_CLASS1(luxe,Emitter)
HX_DECLARE_CLASS1(luxe,Entity)
HX_DECLARE_CLASS1(luxe,Objects)
HX_DECLARE_CLASS1(luxe,Sprite)
HX_DECLARE_CLASS1(luxe,Visual)


class HXCPP_CLASS_ATTRIBUTES  Bar_obj : public ::luxe::Sprite_obj{
	public:
		typedef ::luxe::Sprite_obj super;
		typedef Bar_obj OBJ_;
		Bar_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=true)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< Bar_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~Bar_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("Bar"); }

		virtual Void onmousemove( Dynamic event);

		virtual Void init( );

		virtual Void ondestroy( );

};


#endif /* INCLUDED_Bar */ 
